Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Class AnnotationConfiguration

    java.lang.Object
      org.eclipse.jetty.webapp.AbstractConfiguration
          org.eclipse.jetty.annotations.AnnotationConfiguration

All Implemented Interfaces:
  Configuration

    public class AnnotationConfiguration

extends AbstractConfiguration

Configuration for Annotations

Field Summary
`static java.lang.String` | `CLASS_INHERITANCE_MAP`

Constructor Summary
`AnnotationConfiguration()`

Method Summary
`protected void` | `clearAnnotationList(java.util.List<AnnotationParser.DiscoverableAnnotationHandler> handlers)`
`void` | `cloneConfigure(WebAppContext template, WebAppContext context)` Clone configuration instance.
`void` | `configure(WebAppContext context)` Configure WebApp.
`protected void` | `gatherAnnotations(java.util.List<DiscoveredAnnotation> annotations, java.util.List<AnnotationParser.DiscoverableAnnotationHandler> handlers)`
`FragmentDescriptor` | `getFragmentFromJar(Resource jar, java.util.List<FragmentDescriptor> frags)`
`boolean` | `isFromExcludedJar(WebAppContext context, ServletContainerInitializer service)` Check to see if the ServletContainerIntializer loaded via the ServiceLoader came from a jar that is excluded by the fragment ordering.
`boolean` | `isMetaDataComplete(WebDescriptor d)`
`void` | `parseContainerPath(WebAppContext context, AnnotationParser parser)`
`void` | `parseWebInfClasses(WebAppContext context, AnnotationParser parser)`
`void` | `parseWebInfLib(WebAppContext context, AnnotationParser parser)`
`void` | `preConfigure(WebAppContext context)` Set up for configuration.
`void` | `registerServletContainerInitializerAnnotationHandlers(WebAppContext context, AnnotationParser parser)`

Methods inherited from class org.eclipse.jetty.webapp.AbstractConfiguration
`deconfigure, postConfigure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_INHERITANCE_MAP

    public static final java.lang.String CLASS_INHERITANCE_MAP

See Also:
  Constant Field Values

Constructor Detail

### AnnotationConfiguration

    public AnnotationConfiguration()

Method Detail

### preConfigure

    public void preConfigure(WebAppContext context)
                      throws java.lang.Exception

  Description copied from interface: `Configuration`
  Set up for configuration.

  Typically this step discovers configuration resources

  Specified by:
    `preConfigure` in interface `Configuration`
  Overrides:
    `preConfigure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `java.lang.Exception`

### configure

    public void configure(WebAppContext context)
                   throws java.lang.Exception

  Description copied from interface: `Configuration`
  Configure WebApp.

  Typically this step applies the discovered configuration resources to either the `WebAppContext` or the associated `MetaData`.

  Specified by:
    `configure` in interface `Configuration`
  Overrides:
    `configure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `java.lang.Exception`

### cloneConfigure

    public void cloneConfigure(WebAppContext template,
                               WebAppContext context)
                        throws java.lang.Exception

  Description copied from interface: `Configuration`
  Clone configuration instance.

  Configure an instance of a WebAppContext, based on a template WebAppContext that has previously been configured by this Configuration.

  Specified by:
    `cloneConfigure` in interface `Configuration`
  Overrides:
    `cloneConfigure` in class `AbstractConfiguration`
  Parameters:
    `template` - The template context
    `context` - The context to configure
  Throws:
    `java.lang.Exception`

### registerServletContainerInitializerAnnotationHandlers

    public void registerServletContainerInitializerAnnotationHandlers(WebAppContext context,
                                                                      AnnotationParser parser)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isFromExcludedJar

    public boolean isFromExcludedJar(WebAppContext context,
                                     ServletContainerInitializer service)
                              throws java.lang.Exception

  Check to see if the ServletContainerIntializer loaded via the ServiceLoader came from a jar that is excluded by the fragment ordering. See ServletSpec 3.0 p.85.

  Parameters:
    `orderedJars` -
    `service` -
  Returns:
  Throws:
    `java.lang.Exception`

### parseContainerPath

    public void parseContainerPath(WebAppContext context,
                                   AnnotationParser parser)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseWebInfLib

    public void parseWebInfLib(WebAppContext context,
                               AnnotationParser parser)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseWebInfClasses

    public void parseWebInfClasses(WebAppContext context,
                                   AnnotationParser parser)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getFragmentFromJar

    public FragmentDescriptor getFragmentFromJar(Resource jar,
                                                 java.util.List<FragmentDescriptor> frags)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isMetaDataComplete

    public boolean isMetaDataComplete(WebDescriptor d)

### clearAnnotationList

    protected void clearAnnotationList(java.util.List<AnnotationParser.DiscoverableAnnotationHandler> handlers)

### gatherAnnotations

    protected void gatherAnnotations(java.util.List<DiscoveredAnnotation> annotations,
                                     java.util.List<AnnotationParser.DiscoverableAnnotationHandler> handlers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.